summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Andrew Clemons <andrew.clemons@gmail.com>2018-03-03 13:15:39 +1300
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-03-09 17:20:40 +0700
commite75c13bdc7fb03685e6d384631a3695d50a10c5e (patch)
tree0ac2845bab35524e00c346a8e6790f0f315546dd /system
parent490ae69b8f0237a3866d75b7aae204440971b172 (diff)
downloadslackbuilds-e75c13bdc7fb03685e6d384631a3695d50a10c5e.tar.gz
slackbuilds-e75c13bdc7fb03685e6d384631a3695d50a10c5e.tar.xz
system/slackrepo-hints: Added (hints for slackrepo).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/slackrepo-hints/README1
-rw-r--r--system/slackrepo-hints/slack-desc19
-rw-r--r--system/slackrepo-hints/slackrepo-hints.SlackBuild76
-rw-r--r--system/slackrepo-hints/slackrepo-hints.info10
4 files changed, 106 insertions, 0 deletions
diff --git a/system/slackrepo-hints/README b/system/slackrepo-hints/README
new file mode 100644
index 0000000000..688349015d
--- /dev/null
+++ b/system/slackrepo-hints/README
@@ -0,0 +1 @@
+slackrepo-hints: Default hintfiles for slackrepo
diff --git a/system/slackrepo-hints/slack-desc b/system/slackrepo-hints/slack-desc
new file mode 100644
index 0000000000..c5a7bce8a1
--- /dev/null
+++ b/system/slackrepo-hints/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+slackrepo-hints: slackrepo-hints (Default hintfiles for slackrepo)
+slackrepo-hints:
+slackrepo-hints: The default hintfiles for slackrepo, packaged separately for
+slackrepo-hints: easy regular updating.
+slackrepo-hints:
+slackrepo-hints: https://github.com/aclemons/slackrepo-hints
+slackrepo-hints:
+slackrepo-hints:
+slackrepo-hints:
+slackrepo-hints:
+slackrepo-hints:
diff --git a/system/slackrepo-hints/slackrepo-hints.SlackBuild b/system/slackrepo-hints/slackrepo-hints.SlackBuild
new file mode 100644
index 0000000000..e23eeb32b4
--- /dev/null
+++ b/system/slackrepo-hints/slackrepo-hints.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/bash
+
+# Slackware build script for slackrepo-hints
+
+# Copyright 2017-2022 Andrew Clemons, Wellington New Zealand
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=slackrepo-hints
+VERSION=${VERSION:-20220309}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/etc/slackrepo
+
+find . -type d -maxdepth 1 -mindepth 1 \! -name SlackBuild -print0 | xargs -0 -I xx cp -a xx $PKG/etc/slackrepo
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENCE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/slackrepo-hints/slackrepo-hints.info b/system/slackrepo-hints/slackrepo-hints.info
new file mode 100644
index 0000000000..9e36f4d5c1
--- /dev/null
+++ b/system/slackrepo-hints/slackrepo-hints.info
@@ -0,0 +1,10 @@
+PRGNAM="slackrepo-hints"
+VERSION="20220309"
+HOMEPAGE="https://github.com/aclemons/slackrepo-hints"
+DOWNLOAD="https://github.com/aclemons/slackrepo-hints/archive/v20220309/slackrepo-hints-20220309.tar.gz"
+MD5SUM="f8f3730e222930b046b1b65333a22050"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"